Skip to main content
Resource Center/Resource Pool/VM Instance Operations

GetCandidatePrimaryStoragesForCreatingVm

GetCandidatePrimaryStoragesForCreatingVm

GET/zstack/v1/vm-instances/candidate-storages

Operation ID

GetCandidatePrimaryStoragesForCreatingVm

Since

2.1

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • imageUuid
    StringRequired

    The image UUID.

  • l3NetworkUuids
    ListRequired

    The L3 network UUID.

  • rootDiskOfferingUuid
    String

    Optional. The UUID of the disk offering used by the root volume. This parameter is required if the image type is ISO.

  • rootDiskSize
    Long

    Optional. The size of the root volume. You need to specify this parameter only when you set imageUuid to ISO and do not specify rootDiskOfferingUuid.

  • dataDiskOfferingUuids
    List

    Optional. The UUID of the disk offering used by the data volume.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • dataVolumePrimaryStorages
    Map

    The primary storages that are available to the data volume. Each primary storage corresponds to a data disk offering.

  • success
    booleanRequired

    Whether the operation succeeds.

  • rootVolumePrimaryStorages
    ListRequired

    See rootVolumePrimaryStorages.

    • uuid
      StringRequired

      The resource UUID.

    • zoneUuid
      StringRequired

      The zone UUID.

    • name
      StringRequired

      The resource name.

    • url
      StringRequired

      The URL.

    • description
      StringRequired

      The detailed description of the resource.

    • totalCapacity
      LongRequired

      The total capacity.

    • availableCapacity
      LongRequired

      The available capacity.

    • totalPhysicalCapacity
      LongRequired

      The total physical capacity.

    • availablePhysicalCapacity
      LongRequired

      The available physical capacity.

    • systemUsedCapacity
      LongRequired

      The system used capacity.

    • type
      StringRequired

      The resource type.

    • state
      StringRequired

      The resource state.

    • status
      StringRequired

      The resource status.

    • mountPath
      StringRequired

      The mount path.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • attachedClusterUuids
      ListRequired

      The attached cluster UUIDs.

  • error
    ErrorCodeRequired

    See error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.